# FileParserFactoryInterface

Extends

This interface can be used to implement a fileParserFactory to create FileParsers based on config.

Currently it is used in the PropertyTask to deliver the correct parser based on filetype.

author | Mike Lohmann mike.lohmann@deck36.de
package | phing.system.io

### Methods

## Based on the $name a parser will be returned.

    createParser(string $fileExtension) : \FileParserInterface

### Arguments

#### $fileExtension

`string`

### Response

`\FileParserInterface`